* [gentoo-dev] [PATCH 1/2] qmail.eclass: drop obsolete install hooks
@ 2022-05-16 14:48 Rolf Eike Beer
2022-05-16 14:49 ` [gentoo-dev] [PATCH 2/2] qmail.eclass: remove usage of egrep Rolf Eike Beer
0 siblings, 1 reply; 5+ messages in thread
From: Rolf Eike Beer @ 2022-05-16 14:48 UTC (permalink / raw
To: gentoo-dev
[-- Attachment #1: Type: text/plain, Size: 2279 bytes --]
The last user went away with mail-mta/qmail-ldap.
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de>
---
eclass/qmail.eclass | 24 ------------------------
1 file changed, 24 deletions(-)
diff --git a/eclass/qmail.eclass b/eclass/qmail.eclass
index 471f2fe7ce5..9b2c5a8c7fb 100644
--- a/eclass/qmail.eclass
+++ b/eclass/qmail.eclass
@@ -169,9 +169,6 @@ qmail_base_install() {
doexe qmail-queue
)
-
- declare -F qmail_base_install_hook >/dev/null && \
- qmail_base_install_hook
}
qmail_config_install() {
@@ -182,9 +179,6 @@ qmail_config_install() {
einfo "Installing configuration sanity checker and launcher"
insinto "${QMAIL_HOME}"/bin
doins "${GENQMAIL_S}"/control/qmail-config-system
-
- declare -F qmail_config_install_hook >/dev/null && \
- qmail_config_install_hook
}
qmail_man_install() {
@@ -200,9 +194,6 @@ qmail_man_install() {
else
dodoc CHANGES.md FAQ.md SECURITY.md THOUGHTS.md UPGRADE.md
fi
-
- declare -F qmail_man_install_hook >/dev/null && \
- qmail_man_install_hook
}
qmail_sendmail_install() {
@@ -211,9 +202,6 @@ qmail_sendmail_install() {
dosym "${QMAIL_HOME}"/bin/sendmail /usr/sbin/sendmail
dosym "${QMAIL_HOME}"/bin/sendmail /usr/lib/sendmail
-
- declare -F qmail_sendmail_install_hook >/dev/null && \
- qmail_sendmail_install_hook
}
qmail_maildir_install() {
@@ -245,9 +233,6 @@ qmail_maildir_install() {
done
)
-
- declare -F qmail_maildir_install_hook >/dev/null && \
- qmail_maildir_install_hook
}
qmail_tcprules_install() {
@@ -280,9 +265,6 @@ qmail_supervise_install() {
qmail_supervise_install_one qmail-pop3d
use ssl && qmail_supervise_install_one qmail-pop3sd
fi
-
- declare -F qmail_supervise_install_hook >/dev/null && \
- qmail_supervise_install_hook
}
qmail_spp_install() {
@@ -295,9 +277,6 @@ qmail_spp_install() {
for i in authlog mfdnscheck ifauthnext tarpit; do
dospp "${GENQMAIL_S}"/spp/${i}
done
-
- declare -F qmail_spp_install_hook >/dev/null && \
- qmail_spp_install_hook
}
qmail_ssl_install() {
@@ -317,9 +296,6 @@ qmail_ssl_install() {
doexe "${GENQMAIL_S}"/ssl/qmail-genrsacert.sh
keepdir "${QMAIL_HOME}"/control/tlshosts
-
- declare -F qmail_ssl_install_hook >/dev/null && \
- qmail_ssl_install_hook
}
qmail_src_install() {
--
2.35.3
[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 195 bytes --]
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-dev] [PATCH 2/2] qmail.eclass: remove usage of egrep
2022-05-16 14:48 [gentoo-dev] [PATCH 1/2] qmail.eclass: drop obsolete install hooks Rolf Eike Beer
@ 2022-05-16 14:49 ` Rolf Eike Beer
2022-05-21 8:44 ` Ulrich Mueller
0 siblings, 1 reply; 5+ messages in thread
From: Rolf Eike Beer @ 2022-05-16 14:49 UTC (permalink / raw
To: gentoo-dev
[-- Attachment #1: Type: text/plain, Size: 1169 bytes --]
This does not use extended regular expressions in any way. While at it change
the way these matches are done: it's irrelevant if the entire expression is in
the file, if there is any rule for the given IP address then do not add the
new
expression.
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de>
---
eclass/qmail.eclass | 5 ++---
1 file changed, 2 insertions(+), 3 deletions(-)
diff --git a/eclass/qmail.eclass b/eclass/qmail.eclass
index 9b2c5a8c7fb..ed53bca56fa 100644
--- a/eclass/qmail.eclass
+++ b/eclass/qmail.eclass
@@ -409,7 +409,7 @@ qmail_config_fast() {
}
qmail_tcprules_config() {
- local localips ip tcpstring line proto f
+ local localips ip tcpstring proto f
einfo "Accepting relaying by default from all ips configured on
this machine."
@@ -425,10 +425,9 @@ qmail_tcprules_config() {
tcpstring=':allow,RELAYCLIENT="",RBLSMTPD=""'
for ip in ${localips}; do
- line="${ip}${tcpstring}"
for proto in smtp qmtp qmqp; do
f="${EROOT}${TCPRULES_DIR}/tcp.qmail-$
{proto}"
- egrep -qs "${line}" "${f}" || echo "${line}"
>> "${f}"
+ grep -qs "^${ip}:" "${f}" || echo "${ip}$
{tcpstring}" >> "${f}"
done
done
}
--
2.35.3
[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 195 bytes --]
^ permalink raw reply related [flat|nested] 5+ messages in thread
* Re: [gentoo-dev] [PATCH 2/2] qmail.eclass: remove usage of egrep
2022-05-16 14:49 ` [gentoo-dev] [PATCH 2/2] qmail.eclass: remove usage of egrep Rolf Eike Beer
@ 2022-05-21 8:44 ` Ulrich Mueller
2022-05-21 9:05 ` Rolf Eike Beer
0 siblings, 1 reply; 5+ messages in thread
From: Ulrich Mueller @ 2022-05-21 8:44 UTC (permalink / raw
To: Rolf Eike Beer; +Cc: gentoo-dev
[-- Attachment #1: Type: text/plain, Size: 773 bytes --]
>>>>> On Mon, 16 May 2022, Rolf Eike Beer wrote:
> This does not use extended regular expressions in any way. While at it change
> the way these matches are done: it's irrelevant if the entire expression is in
> the file, if there is any rule for the given IP address then do not add the
> new
> expression.
Series LGTM. However, "git am" fails for the second patch because the
line breaks in your message are messed up:
Applying: qmail.eclass: remove usage of egrep
error: corrupt patch at line 17
Patch failed at 0001 qmail.eclass: remove usage of egrep
(I believe the problem is not on my side, because I see the spurious
line breaks also in archives:
https://archives.gentoo.org/gentoo-dev/message/b34c3f96f9e4069516b1457e7b0b4904#L32 )
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 507 bytes --]
^ permalink raw reply [flat|nested] 5+ messages in thread
* Re: [gentoo-dev] [PATCH 2/2] qmail.eclass: remove usage of egrep
2022-05-21 8:44 ` Ulrich Mueller
@ 2022-05-21 9:05 ` Rolf Eike Beer
2022-05-21 17:01 ` Ulrich Mueller
0 siblings, 1 reply; 5+ messages in thread
From: Rolf Eike Beer @ 2022-05-21 9:05 UTC (permalink / raw
To: gentoo-dev
[-- Attachment #1: Type: text/plain, Size: 1003 bytes --]
Am Samstag, 21. Mai 2022, 10:44:35 CEST schrieb Ulrich Mueller:
> >>>>> On Mon, 16 May 2022, Rolf Eike Beer wrote:
> > This does not use extended regular expressions in any way. While at it
> > change the way these matches are done: it's irrelevant if the entire
> > expression is in the file, if there is any rule for the given IP address
> > then do not add the new
> > expression.
>
> Series LGTM. However, "git am" fails for the second patch because the
> line breaks in your message are messed up:
>
> Applying: qmail.eclass: remove usage of egrep
> error: corrupt patch at line 17
> Patch failed at 0001 qmail.eclass: remove usage of egrep
>
> (I believe the problem is not on my side, because I see the spurious
> line breaks also in archives:
> https://archives.gentoo.org/gentoo-dev/message/b34c3f96f9e4069516b1457e7b0b4
> 904#L32 )
This is likely a problem of the GPG signing.
You can get the patches directly from git here:
https://github.com/DerDakon/gentoo/tree/qmail-eclass
[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 195 bytes --]
^ permalink raw reply [flat|nested] 5+ messages in thread
* Re: [gentoo-dev] [PATCH 2/2] qmail.eclass: remove usage of egrep
2022-05-21 9:05 ` Rolf Eike Beer
@ 2022-05-21 17:01 ` Ulrich Mueller
0 siblings, 0 replies; 5+ messages in thread
From: Ulrich Mueller @ 2022-05-21 17:01 UTC (permalink / raw
To: Rolf Eike Beer; +Cc: gentoo-dev
[-- Attachment #1: Type: text/plain, Size: 172 bytes --]
>>>>> On Sat, 21 May 2022, Rolf Eike Beer wrote:
> You can get the patches directly from git here:
> https://github.com/DerDakon/gentoo/tree/qmail-eclass
Thanks, merged.
[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 507 bytes --]
^ permalink raw reply [flat|nested] 5+ messages in thread
end of thread, other threads:[~2022-05-21 17:01 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-05-16 14:48 [gentoo-dev] [PATCH 1/2] qmail.eclass: drop obsolete install hooks Rolf Eike Beer
2022-05-16 14:49 ` [gentoo-dev] [PATCH 2/2] qmail.eclass: remove usage of egrep Rolf Eike Beer
2022-05-21 8:44 ` Ulrich Mueller
2022-05-21 9:05 ` Rolf Eike Beer
2022-05-21 17:01 ` Ulrich Mueller
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox